#
# $Header: /cvs/stx/stx/libview/Attic/nt.mak,v 1.16 1997-05-01 15:38:04 cg Exp $
#

TOP=..

!INCLUDE $(TOP)\rules\stdHeader_nt

SYS_LIBS=kernel32.lib user32.lib gdi32.lib \
	 comdlg32.lib advapi32.lib \
	 uuid.lib 

LIBNAME=libview
LIB_BASE=$(LIBVIEW_BASE)

STCLOCALOPT= -staticMethods "-package=view-classes-(stx:$(LIBNAME))" $(COMMONSYMBOLS) +optspace2 $(SEPINITCODE)
STCFLAGS_WW=-H$(STX_INCDIR) -staticMethods "-package=view-classes-(stx:$(LIBNAME))" $(COMMONSYMBOLS)

ALL: $(LIBDIR)\$(LIBNAME).lib $(BINDIR)\$(LIBNAME).dll \
     $(LIBDIR)\WinWorkstat.lib $(BINDIR)\WinWorkstat.dll

OBJS= \
    GraphicsDevice.$(O)                      \
    HostGraphicsDevice.$(O)                  \
    DevWorkst.$(O)                           \
    WSensor.$(O)                             \
      SWSensor.$(O)                          \
    Image.$(O)                               \
      Depth1Image.$(O)                       \
      Depth2Image.$(O)                       \
      Depth4Image.$(O)                       \
      Depth8Image.$(O)                       \
      Depth24Image.$(O)                      \
      Depth32Image.$(O)                      \
    ImageMask.$(O)                           \
    AlphaMask.$(O)                           \
    ImageRdr.$(O)                            \
	Workstat.$(O)                        \
	Color.$(O)                           \
	Colormap.$(O)                        \
	FontDescr.$(O)                       \
	  Font.$(O)                          \
	Cursor.$(O)                          \
	DevHandle.$(O)                       \
	  DevViewH.$(O)                      \
	  DevFormH.$(O)                      \
	DevColorH.$(O)                       \
	GC.$(O)                              \
	  DevGC.$(O)                         \
	  GMedium.$(O)                       \
	      Form.$(O)                      \
	      DSurface.$(O)                  \
		SimpleView.$(O)              \
		  View.$(O)                  \
		    TopView.$(O)             \
		      StdSysV.$(O)           \
			ModalBox.$(O)        \
		      PopUpView.$(O)         \
		    ShadowV.$(O)             \
		  DRootView.$(O)             \
	Controll.$(O)                        \
	WTrans.$(O)                          \
	WEvent.$(O)                          \
	WGroup.$(O)                          \
	KeybdFwd.$(O)                        \
	KeybdMap.$(O)                        \
	RsrcPack.$(O)                        \
	  ViewStyle.$(O)                     \
	Depth16Image.$(O)                    \
    WinWorkstat.$(O)                  

!INCLUDE $(TOP)\rules\stdRules_nt


################################################################################

xlib: $(LIBDIR)\xlib.lib $(LIBDIR)\xlib.dll

$(BINDIR)\xlib.dll: $(OUTDIR)\xlib.dll
	-copy $(OUTDIR)\xlib.dll $(BINDIR)\*.*

$(LIBDIR)\xlib.lib: $(OUTDIR)\xlib.lib
	-copy $(OUTDIR)\xlib.lib $(LIBDIR)\*.*

$(BINDIR)\WinWorkstat.dll: $(OUTDIR)\WinWorkstat.dll
	-copy $(OUTDIR)\WinWorkstat.dll $(BINDIR)\*.*

$(LIBDIR)\WinWorkstat.lib: $(OUTDIR)\WinWorkstat.lib
	-copy $(OUTDIR)\WinWorkstat.lib $(LIBDIR)\*.*

xlib.obj: ..\support\ntxlib\xlib.obj
	-copy ..\support\ntxlib\xlib.obj *.*

SYS_LIBS=kernel32.lib user32.lib gdi32.lib \
	 comdlg32.lib advapi32.lib \
	 uuid.lib 

LINK32_FLAGS=\
	 $(SYS_LIBS) \
	 $(LIBRUN) \
	 /NOPACK /NOLOGO /SUBSYSTEM:console /INCREMENTAL:yes\
	 /PDB:"$(OUTDIR)\WinWorkstat.pdb" /DEBUG /MACHINE:I386 /DLL \
	 /BASE:$(WINWORKSTAT_BASE) /OUT:"$(OUTDIR)\WinWorkstat.dll" /DEF:WinWorkstat.def 

$(OUTDIR)\xlib.lib : $(OUTDIR) $(DEF_FILE) $(XLIB_OBJS)
    -$(LINK32) @<<
  $(LINK32_FLAGS) $(XLIB_OBJS)
<<

$(OUTDIR)\xlib.dll : $(OUTDIR)  $(DEF_FILE) $(XLIB_OBJS) $(LIBRUN)
    $(LINK32) @<<
  $(LINK32_FLAGS) $(XLIB_OBJS)
<<

$(OUTDIR)\WinWorkstat.lib : $(OUTDIR) $(DEF_FILE) WinWorkstat.obj 
    @echo generating WinWorkstat.dll / .lib [link] ...
    -$(LINK32) @<<
  $(LINK32_FLAGS) WinWorkstat.obj 
<<

$(OUTDIR)\WinWorkstat.dll : $(OUTDIR)  $(DEF_FILE) WinWorkstat.obj  $(LIBRUN)
    @echo generating WinWorkstat.dll / .lib [link] ...
    $(LINK32) @<<
  $(LINK32_FLAGS) WinWorkstat.obj 
<<

STX_INCL_WW=-I"D:\mstools" -I"D:\mstools\include" -I"$(STX_INCDIR)"
DBGFLAGS=-Yd

#WinWorkstat.obj:
#    $(STC) $(STX_INCL_WW) $(FFLAGS) $(STCFLAGS_WW) $(DBGFLAGS) $(DEFS) -c WinWorkstat.st

WW_CDEBUGFLAGS3=/Fp"$(OUTDIR)\WinWorkstat.pch" /Fd"$(OUTDIR)\WinWorkstat.pdb"

WW_CDEBUGFLAGS=$(CDEBUGFLAGS1) $(CDEBUGFLAGS2) $(WW_CDEBUGFLAGS3)

WinWorkstat.obj:
    $(STC) $(STX_INCL_WW) $(FFLAGS) $(STCFLAGS_WW) $(DBGFLAGS) $(DEFS) -C WinWorkstat.st
    $(CC) /nologo $(STX_INCL) $(SYS_INCL) $(FFLAGS) $(DEFS) $(DBGFLAGS) $(WW_CDEBUGFLAGS) -c WinWorkstat.c


#WinWorkstat.c:
#    $(STC) $(STX_INCL_WW) $(FFLAGS) $(STCFLAGS_WW) $(DBGFLAGS) $(WW_CDEBUGFLAGS) $(DEFS) -C WinWorkstat.st

